<div style="margin: 100px;">
  <router-outlet></router-outlet>
</div>


<div class="container">
  <div *ngIf="url =='/'" class="text-right">
    <button type="button" class="btn btn-primary" [routerLink]="['add-card']">Create
      Card</button>
  </div>
  <div *ngIf="url !=='/add-card'">

    <h2>Cards</h2>
    <table class="table table-striped">
      <thead>
        <tr>
          <th> Card Number</th>
          <th> Card Holder</th>
          <th>Expiration Date</th>
          <th>Security Code</th>
          <th>Amount</th>
          <th>Action</th>

        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of (card | async).card;let i=index">
          <td>{{ item.card_number}}</td>
          <td>{{ item.card_Holder}}</td>
          <td>{{ item.expiration_date}}</td>
          <td>{{ item.security_code}}</td>
          <td>{{ item.amount}}</td>
          <td><button class="btn btn-success" (click)="onPayment(item)">Payment</button></td>

        </tr>
      </tbody>
    </table>
    <div *ngIf="(card | async).card.length==0" class="text-center">No Recode Found</div>
  </div>
</div>

<div style="width: 30%;
    display: block;
    margin-left: 40%;">

  <div class="toast">
    <div class="toast-header">
      <strong class="mr-auto text-primary">Success</strong>
    </div>
    <div class="toast-body">
      payment successfully
    </div>
  </div>
</div>
